Summary: czech hyphenation patterns for groff
Name: groff-czech
Version: 0.01
Release: 2
Group: Applications/Publishing
Source0: ftp://math.feld.cvut.cz/pub/cstex/web2c/csplain.tar.gz
Source1: groff-czech-make
Requires: groff,groff-latin2
Buildroot: /var/tmp/groff-czech-root
BuildArchitectures: noarch
Prefix: /usr/lib/groff
Prefix: /usr/doc
Copyright: GPL
Packager: Red Hat Contrib|Net <rhcn-bugs@redhat.com>
Distribution: Red Hat Contrib|Net
Vendor: Petr Kolar <Petr.Kolar@vslib.cz>
Summary(cs): esk vzory dlen pro program groff

%description
Czech hyphenation patterns for groff. Use .do hla cs and
.do hpf hyphen.cs in groff document to get czech hyphenation.
In this version the hyphenation does not work for accented
characters.

%description -l cs
esk vzory dlen slov pro groff. esk dlen se zapn
uvedenm pkaz .do hla cs a .do hpf hyphen.cs ve zdrojovm
souboru pro groff. V tto verzi nefuguje dlen v okol
znak s diakritikou.

%prep
%setup -c -T
tar zxvf $RPM_SOURCE_DIR/csplain.tar.gz texmf/tex/csplain/czhyphen.tex

%build
perl $RPM_SOURCE_DIR/groff-czech-make texmf/tex/csplain/czhyphen.tex > hyphen.cs

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/groff/tmac
install -o 0 -g 0 -m 644 hyphen.cs $RPM_BUILD_ROOT/usr/lib/groff/tmac
cat > README <<EOF
Czech hyphenation patterns for groff. Use .do hla cs and
.do hpf hyphen.cs in groff document to get czech hyphenation.
In this version the hyphenation does not work for accented
characters.

esk vzory dlen slov pro groff. esk dlen se zapn
uvedenm pkaz .do hla cs a .do hpf hyphen.cs ve zdrojovm
souboru pro groff. V tto verzi nefuguje dlen v okol
znak s diakritikou.

Copyright from TeX version of hyphen file:

EOF
grep '^%%' texmf/tex/csplain/czhyphen.tex >> README

%clean
rm -rf $RPM_BUILD_ROOT

%changelog

* Tue Jun  8 1999 Petr Kolar <Petr.Kolar@vslib.cz>
- moved to Applications/Publishing group, added defattr,
  added groff-czech-make to sources

* Wed May 26 1999 Petr Kolar <Petr.Kolar@vslib.cz>
- First release of groff-czech.

%files
%defattr(-,root,root)
%doc README
/usr/lib/groff/tmac/hyphen.cs
